Page MenuHomePhabricator

Upgrade to wdio 5 for Wikibase repo browser tests
Closed, ResolvedPublic

Description

wdio 4 has repeatedly caused confusion with its waitForXYZ methods' behavior. Core and bridge are already running wdio 5, so it's about time.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2020, 10:51 AM

Change 571969 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] Prepare wdio5 upgrade

https://gerrit.wikimedia.org/r/571969

Change 572024 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Upgrade to wdio 5

https://gerrit.wikimedia.org/r/572024

Tarrow added a comment.EditedFeb 13 2020, 5:27 PM

Github PR is in.

Still presumably needs a release (probably with a major version bump). Don't want to tread on toes so I didn't start cutting one (but I can if you like) :)

Change 571969 merged by jenkins-bot:
[wikibase/termbox@master] Prepare wdio5 upgrade

https://gerrit.wikimedia.org/r/571969

Change 572024 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Upgrade to wdio 5

https://gerrit.wikimedia.org/r/572024

Change 572914 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Upgrade browser tests to wdio 5

https://gerrit.wikimedia.org/r/572914

Change 572914 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Upgrade browser tests to wdio 5

https://gerrit.wikimedia.org/r/572914

Addshore closed this task as Resolved.Mar 4 2020, 4:13 PM